<template>
	<div class="row">
		<div class="col-6 text-center">
			<button
				@click="iniciarDocEscan()"
				type="button"
				title="Escanear"
				alt="Escanear"
				class="btn btn-grey text-light mx-1 p-0 px-2"
				:class="{ disabled: disabled }"
				:aria-disabled="disabled"
			>
				<i class="bi bi-upc-scan"></i>
			</button>
			<FormDocsEscanTipos
				v-if="!disabled"
				ref="formDocsEscanTipos"
				:titulo="titulo"
			/>
		</div>
		<div class="col-6 text-center">
			<button
				@click="listarDocsEscan()"
				type="button"
				title="Ver documento/s escaneado/s"
				alt="Ver documento/s escaneado/s"
				class="btn btn-grey text-light mx-1 p-0 px-2"
				:class="{ disabled: !habilitarListarDocsEscan }"
				:aria-disabled="!habilitarListarDocsEscan"
			>
				<i class="bi bi-zoom-in"></i>
			</button>
			<ListDocsEscan
				v-if="habilitarListarDocsEscan"
				ref="listDocsEscan"
				:titulo="titulo"
			/>
		</div>
	</div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import FormDocsEscanTipos from "./form/FormDocsEscanTipos.vue";
import ListDocsEscan from "./list/ListDocsEscan.vue";
import { Titulo } from "@/entities/Titulo";
import { mapStores } from "pinia";
import { useTitulosStore } from "@/stores/titulos";
//import type { DocEscanTipo as DocEscanTipoType } from "@/entities/DocEscanTipo";
//import { DocEscanTipo } from "@/entities/DocEscanTipo";

export default defineComponent({
	name: "BotoneraEscan",
	components: {
		FormDocsEscanTipos,
		ListDocsEscan,
	},
	props: {
		titulo: {
			type: Titulo,
			required: false,
			default: undefined,
		},
		disabled: {
			type: Boolean,
			required: false,
			default: true,
		},
	},
	computed: {
		...mapStores(useTitulosStore),
		habilitarListarDocsEscan(): boolean {
			return (
				!this.disabled &&
				this.titulo?.id_rel_tabla_reg !== null &&
				this.titulo?.id_rel_tabla_reg !== undefined
			);
		},
		// idRelTablaReg(): number | undefined | null {
		// 	return this.titulosStore.findTituloById(this.titulo?.id_titulo_ejec!)
		// 		?.id_rel_tabla_reg;
		// },
	},
	methods: {
		iniciarDocEscan() {
			const refs: any = this.$refs;
			refs.formDocsEscanTipos.show();
		},
		listarDocsEscan() {
			const refs: any = this.$refs;
			refs.listDocsEscan.show();
		},
	},
	// watch: {
	// 	idRelTablaReg(newValue: number | undefined | null) {
	// 		if (this.titulo !== undefined) {
	// 			this.titulo!.id_rel_tabla_reg = newValue!;
	// 		}
	// 	},
	// },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
